Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_formcoord.f90	(revision 5158)
@@ -32,5 +32,5 @@
     else
       dxmin = abs(x(2) - x(1))
-      do i = 2, n - 1
+      DO i = 2, n - 1
         dx = abs(x(i + 1) - x(i))
         IF (dx<dxmin) dxmin = dx
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_interpolation.f90	(revision 5158)
@@ -34,5 +34,5 @@
     jl = 0
     ju = n + 1
-    do while (ju - jl > 1)
+    DO while (ju - jl > 1)
       jm = (ju + jl) / 2 ! Compute a midpoint,
       IF (ascnd .eqv. (x >= xx(jm))) THEN
@@ -120,5 +120,5 @@
     end if ! Done hunting, value bracketed.
 
-    do ! Hunt is done, so begin the final bisection phase:
+    DO ! Hunt is done, so begin the final bisection phase:
       IF (jhi - jlo <= 1) THEN
         IF (x == xx(n)) jlo = n - 1
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath.f90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_libmath.f90	(revision 5158)
@@ -14,5 +14,5 @@
     ismax = 1
     sxmax = sx(1)
-    do i = 1, n - 1
+    DO i = 1, n - 1
       ix = ix + incx
       IF(sx(ix)>sxmax) THEN
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_q_sat.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_q_sat.f90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_q_sat.f90	(revision 5158)
@@ -45,5 +45,5 @@
     ! ------------------------------------------------------------------
 
-    do ip = 1, np
+    DO ip = 1, np
 
       ! WRITE(*,*)'kelvin,millibar=',kelvin,millibar
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_slopes.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_slopes.f90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_slopes.f90	(revision 5158)
@@ -40,8 +40,8 @@
 !-------------------------------------------------------------------------------
 ! Local:
-  INTEGER :: n, i, j, sta(2), sto(2)
+  INTEGER :: n, i
   REAL :: xc(SIZE(f,1))                             ! (n) cell centers
   REAL :: h(2:SIZE(f,1)-1), delta_xc(2:SIZE(f,1)-1) ! (2:n-1)
-  REAL :: fm, ff, fp, dx
+  REAL :: fm, ff, fp
 !-------------------------------------------------------------------------------
   n=SIZE(f,ix)
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_ssum_scopy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_ssum_scopy.f90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_ssum_scopy.f90	(revision 5158)
@@ -32,5 +32,5 @@
     ssum = 0.
     ix = 1
-    do i = 1, n
+    DO i = 1, n
       ssum = ssum + sx(ix)
       ix = ix + incx
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_write_field.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_write_field.f90	(revision 5151)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_write_field.f90	(revision 5158)
@@ -32,5 +32,5 @@
 
     GetFieldIndex = -1
-    do i = 1, NbField
+    DO i = 1, NbField
       IF (TrueName==FieldName(i)) THEN
         GetFieldIndex = i
@@ -152,5 +152,5 @@
     Nb = 0
     Pos = 2
-    do i = 1, Dim(1)
+    DO i = 1, Dim(1)
       nb = nb + 1
 
@@ -195,8 +195,8 @@
     spacing = '(t2,"' // repeat('-', ColumnSize * NbCol) // '")'
 
-    do i = 1, Dim(2)
+    DO i = 1, Dim(2)
       nb = 0
       Pos = 2
-      do j = 1, Dim(1)
+      DO j = 1, Dim(1)
         nb = nb + 1
 
@@ -255,11 +255,11 @@
     spacing = '(t2,"' // repeat('-', ColumnSize * NbCol) // '")'
 
-    do i = 1, Dim(3)
-
-      do j = 1, Dim(2)
+    DO i = 1, Dim(3)
+
+      DO j = 1, Dim(2)
         nb = 0
         Pos = 2
 
-        do k = 1, Dim(1)
+        DO k = 1, Dim(1)
           nb = nb + 1
 
